templates:
- code-corlab
- autotools
- base

catalog:
  title: The Spread Toolkit

variables:
  description: Patched version of Spread toolkit.
  keywords:
  - Spread
  - network
  - high performance
  - distributed
  - framework
  license: modified BSD

  redmine-project: packaging

  repository: https://code.cor-lab.de/git/packaging.git.spread
  branches:
  - '4.4'
  - '4.3'
  - '4.1'

  upstream-version: ${version-name}.0
  extra-provides:
  - nature: program
    target: spread
    version: ${upstream-version}
  - nature: library
    target: libspread
    version: ${upstream-version}
  - nature: c-include
    target: sp.h
    version: ${upstream-version}
  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - gcc
      - patch
      - tar

  make.threads: '1' # fails intermittently when built with paralellization

  bootstrap.command: autoconf || true

  shell.command:default: |
    tar xzvf spread_${upstream-version}.orig.tar.gz
    (
      cd spread-src-${upstream-version}
      PATCH_DIR=../spread-${upstream-version}/debian/patches
      for PATCH in \$(cat "\${PATCH_DIR}/series") ; do
        patch -p1 < "\${PATCH_DIR}/\${PATCH}"
      done

      ${next-value}
    )

  tasks.patterns:
  - '**/*.c'
  - '@{next-value|[]}'

versions:
- name: wip-graphite-monitoring
  variables:
    branch: wip-graphite-monitoring
    upstream-version: 4.4.0
- name: "5.0"
  variables:
    branch: "5.0"
    upstream-version: 5.0.1
    deployment.test: false
